Subject: Re: Something is rotten in recent snapshots
From: Laurent CHARLES <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], "CHARLES, Laurent" <[email-masked]>
Date: Fri, 25 Jun 1999 10:16:20 +0200

[email-masked] wrote:
> On 16 Jun 1999 at  2:50PM (-0400) Chris Faylor wrote:
> > There is some kind of memory corruption in recent snapshots.
> > I don't suppose that Electric Fence has been ported to cygwin?
> <http://www.fay.nc.us/~glenn/cygwin/efence-cyg-2.2.2.tar.gz>
> 
> Please let me know if it compiles and operates properly.

I tried it and got some problems. 

First, it compiles perfectly. Well, I didn't notice any problem, and
installed it with my /usr/local stuff (with the cygwin packages). I ran
'make all install prefix=/usr/local' from efence/cygwin directory.

I have a simple hello-world with a single 'char* p=(char*)malloc(10);'
line.
I compile it with 'gcc hello.c -o hello.exe -lefence'.

It crashes with a 'instruction references memory at "0x00000000"' error.
A simple debug session with gdb shows that it crashes at '0x61006cd2 in
_size_of_stack_reserve__()', before main.

Did you experience the same problem?
Maybe I have a bad compiler? 'egcs-2.91.66 19990314 (egcs-1.1.2 release)'

Thankx for your help.

--Laurent

--
Want to unsubscribe from this list?
Send a message to [email-masked]